Subject: Re: linux-next: duplicate patch in the nfsd tree

From: Chuck Lever III <[email-masked]>
Date: Tue, 17 Jan 2023 14:28:42 +0000

> On Jan 16, 2023, at 7:52 PM, Stephen Rothwell <[email-masked]> wrote:
> 
> Hi Chuck,
> 
> On Mon, 16 Jan 2023 14:33:06 +0000 Chuck Lever III <[email-masked]> wrote:
>> 
>> Sorry, I wasn't clear. I need nfsd's for-rc to be picked
>> up and merged into linux-next before I send a PR.
>> 
>> I've trimmed for-next to temporarily remove the duplicate
>> commit, so you should now be able to continue merging both
>> into linux-next without an issue.
> 
> I am not sure what you mean.  Your for-rc branch has been in linux-next
> for a long time and the current version (SHA 7c24fa225081) was merged
> last Friday.

My bad. I was looking in the wrong place.

> For clarity, the cel-fixes tree and the nfsd tree are both branches of
> git://git.kernel.org/pub/scm/linux/kernel/git/cel/linux - the for-rc
> and for-next branches respectively.
> 
> Maybe I should rename cel-fixes to be nfsd-fixes?

Renaming my source branch as well would make things a little more clear.

How about I name the branches in my repo nfsd-next and nfsd-fixes?

--
Chuck Lever